Catia’da çizilen parçanın ağırlığını ve atalet momentlerini C# ile alma

Catia kütüphanesini kullanarak c# ile program geliştiriyorsanız hele ki size parçanın atalet momenti veya ağırlık merkezi gerekiyorsa aşağıdaki tam size göre 🙂



MECMOD.PartDocument poı = (MECMOD.PartDocument)UTIL.CATIApp.ActiveDocument;
ProductStructureTypeLib.Product fgh = poı.Product;
try
{
Object[] cords = new Object[3];
fgh.Analyze.GetGravityCenter(cords);
richTextBox1.AppendText("Ağırlık Merkezi Kordinatları" + "\n");
richTextBox1.AppendText("X: " + cords[0].ToString() + " mm\n" + "Y: " + cords[1].ToString() + " mm\n" + "Z: " + cords[2].ToString() + " mm\n\n");
richTextBox1.AppendText(kk.get_Name() + " kütlesi: " + fgh.Analyze.Mass.ToString() + " kg\n");
richTextBox1.AppendText("Toplam hacmi: " + fgh.Analyze.Volume.ToString() + " m^3\n");
richTextBox1.AppendText("Toplam alanı: " + fgh.Analyze.WetArea.ToString() + " m^2\n\n");
Object[] cord = new Object[9];
fgh.Analyze.GetInertia(cord);
richTextBox1.AppendText("Atalet Momentleri" + "\n");
richTextBox1.AppendText("XX: " + cord[0].ToString() + " kg*mm^2\n" + "XY: " + cord[1].ToString() + " kg*mm^2\n" + "XZ: " + cord[2].ToString() + " kg*mm^2\n");
richTextBox1.AppendText("YX: " + cord[3].ToString() + " kg*mm^2\n" + "YY: " + cord[4].ToString() + " kg*mm^2\n" + "YZ: " + cord[5].ToString() + " kg*mm^2\n");
richTextBox1.AppendText("ZX: " + cord[6].ToString() + " kg*mm^2\n" + "ZY: " + cord[7].ToString() + " kg*mm^2\n" + "ZZ: " + cord[8].ToString() + " kg*mm^2\n");

}
catch { }


 

http://www.gokhansaman.com/wp-content/plugins/sociofluid/images/google_48.png http://www.gokhansaman.com/wp-content/plugins/sociofluid/images/myspace_48.png http://www.gokhansaman.com/wp-content/plugins/sociofluid/images/facebook_48.png http://www.gokhansaman.com/wp-content/plugins/sociofluid/images/yahoobuzz_48.png http://www.gokhansaman.com/wp-content/plugins/sociofluid/images/twitter_48.png

Boru İçinde Akışın CATİA’da Modellenerek FLUENT’de Çözümü

Yapılacak olan bu çalışma DEÜ’de bir bitirme projesidir. Ben bu konuyu kısaca açıklıyacam. İlk önce projede silindir içinde farklı bir akışkan geçen çapı onları çevreleyen diğer silindirden küçük toplam 7 tane boru vardır ve bu borular yarı hilal şeklinde aparatlarla borunun iç kısmında desteklenmektedir iş bu iken projede öngörülen sınır şartları uygulanarak çözüm uygulanacaktır. Çözüm için ilk önce parçanin iç boşluk olan hacminin modellenmesi gerekiyor. Bu ilk olarak SolidWorks de düşünüldü ama iç boşluğu çıkarabilmek için gerekli komut düzeneği konulmamış bunu CATİA ‘da kolaylıkla yapılabilir.

Okumaya devam et

http://www.gokhansaman.com/wp-content/plugins/sociofluid/images/google_48.png http://www.gokhansaman.com/wp-content/plugins/sociofluid/images/myspace_48.png http://www.gokhansaman.com/wp-content/plugins/sociofluid/images/facebook_48.png http://www.gokhansaman.com/wp-content/plugins/sociofluid/images/yahoobuzz_48.png http://www.gokhansaman.com/wp-content/plugins/sociofluid/images/twitter_48.png